Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsView.CacheModeFlag

    java.lang.Object
      java.lang.Enum<QGraphicsView.CacheModeFlag>
          com.trolltech.qt.gui.QGraphicsView.CacheModeFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsView.CacheModeFlag>

Enclosing class:
  QGraphicsView

    public static enum QGraphicsView.CacheModeFlag

extends java.lang.Enum<QGraphicsView.CacheModeFlag>
implements QtEnumerator

This enum describes the flags that you can set for a `QGraphicsView`'s cache mode.

See Also:
  `cacheMode`

Enum Constant Summary
`CacheBackground` The background is cached.
`CacheNone` All painting is done directly onto the viewport.

Method Summary
`static QGraphicsView.CacheMode` | `createQFlags(QGraphicsView.CacheModeFlag... values)`
`static QGraphicsView.CacheModeFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsView.CacheModeFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsView.CacheModeFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CacheNone

    public static final QGraphicsView.CacheModeFlag CacheNone

  All painting is done directly onto the viewport.

### CacheBackground

    public static final QGraphicsView.CacheModeFlag CacheBackground

  The background is cached. This affects both custom backgrounds, and backgrounds based on the `backgroundBrush` property. When this flag is enabled, `QGraphicsView` will allocate one pixmap with the full size of the viewport.

Method Detail

### values

    public static final QGraphicsView.CacheModeFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsView.CacheModeFlag c : QGraphicsView.CacheModeFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsView.CacheModeFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGraphicsView.CacheMode createQFlags(QGraphicsView.CacheModeFlag... values)

### resolve

    public static QGraphicsView.CacheModeFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD